[DRE-commits] [gitlab] 02/02: fix hostname condition
Praveen Arimbrathodiyil
praveen at moszumanska.debian.org
Sat Jan 23 18:33:01 UTC 2016
This is an automated email from the git hooks/post-receive script.
praveen pushed a commit to branch master
in repository gitlab.
commit 8312c512594d659f1f09b4a4a60ba2ee375f694d
Author: Praveen Arimbrathodiyil <praveen at debian.org>
Date: Sat Jan 23 23:56:02 2016 +0530
fix hostname condition
---
debian/postinst | 5 ++++-
1 file changed, 4 insertions(+), 1 deletion(-)
diff --git a/debian/postinst b/debian/postinst
index a1e5941..f3a9b0e 100755
--- a/debian/postinst
+++ b/debian/postinst
@@ -48,7 +48,7 @@ case "$1" in
su ${gitlab_user} -s /bin/sh -c 'git config --global core.autocrlf "input"'
cd ${gitlab_home}
db_get gitlab/fqdn
- if [ "${RET}" = "true" ]; then
+ if [ "${RET}" != "" ]; then
db_go
if ! grep GITLAB_HOST /etc/gitlab/gitlab-debian.conf
then
@@ -57,6 +57,9 @@ case "$1" in
echo export GITLAB_EMAIL_DISPLAY_NAME="Gitlab" >> /etc/gitlab/gitlab-debian.conf
echo export GITLAB_EMAIL_REPLY_TO="no-reply@${RET}" >> /etc/gitlab/gitlab-debian.conf
fi
+ else
+ echo "Failed to retrieve fully qualified domain name"
+ exit 1
fi
db_stop
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-ruby-extras/gitlab.git
More information about the Pkg-ruby-extras-commits
mailing list